<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of Fecha
 *
 * @author juan_rondon
 */


require_once '../BDControlador.php';

final class Fecha {
    
    private $bd = null;
    
    /**
     *
     * @param type $value Recibe la fecha en formato español dd/mm/YYYY
     * @return type fecha en formato sql YYYY-mm-dd
     */
    function fecha_es_sql($date) { 
	return substr ( $date, 6, 4 ) . "-" . substr ( $date, 3, 2 ) . "-" . substr ( $date, 0, 2 );
    }
    /**
     *
     * @param type $value Recibe la fecha en formato sql  YYYY-mm-dd
     * @return type fecha en formato español dd/mm/YYYY
     */
    function sql_to_es($date){
        return substr ( $date, 8, 2 ) . "/" . substr ( $date, 5, 2 ) . "/" . substr ( $date, 0, 4 );
    }
    
    function hora_12_a_24($hora12){
        
        switch ($hora12){
            case "1:00 AM":
            case "01:00 AM":
                $hora24 = "01:00:00";
                break;
            case "2:00 AM":
            case "02:00 AM":
                $hora24 = "02:00:00";
                break;
            case "3:00 AM":
            case "03:00 AM":
                $hora24 = "03:00:00";
                break;
            case "4:00 AM":
            case "04:00 AM":
                $hora24   = "04:00:00";
                break;
            case "5:00 AM":
            case "05:00 AM":
                $hora24 = "05:00:00";
                break;
            case "6:00 AM":
            case "06:00 AM":
                $hora24 = "06:00:00";
                break;
            case "7:00 AM":
            case "07:00 AM":
                $hora24 = "07:00:00";
                break;
            case "8:00 AM":
            case "08:00 AM":
                $hora24 = "08:00:00";
                break;
            case "9:00 AM":
            case "09:00 AM":
                $hora24 = "09:00:00";
                break;
            case "10:00 AM":
                $hora24 = "10:00:00";
                break;
            case "11:00 AM":
                $hora24 = "11:00:00";
                break;
            case "12:00 PM":
                $hora24 = "12:00:00";
                break;
            case "1:00 PM":
            case "01:00 PM":
                $hora24 = "13:00:00";
                break;
            case "2:00 PM":
            case "02:00 PM":
                $hora24 = "14:00:00";
                break;
            case "3:00 PM":
            case "03:00 PM":
                $hora24 = "15:00:00";
                break;
            case "4:00 PM":
            case "04:00 PM":
                $hora24 = "16:00:00";
                break;
            case "5:00 PM":
            case "05:00 PM":
                $hora24 = "17:00:00";
                break;
            case "6:00 PM":
            case "06:00 PM":
                $hora24 = "18:00:00";
                break;
            case "7:00 PM":
            case "07:00 PM":
                $hora24 = "19:00:00";
                break;
            case "8:00 PM":
            case "08:00 PM":
                $hora24 = "20:00:00";
                break;
            case "9:00 PM":
            case "09:00 PM":
                $hora24 = "21:00:00";
                break;
            case "10:00 PM":
                $hora24 = "22:00:00";
                break;
            case "11:00 PM":
                $hora24 = "23:00:00";
                break;
            case "12:00 AM":
                $hora24 = "00:00:00";
                break;
            default : break;
        }           
        
        return $hora24;
    }


    public function listar_periodo($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
			$sql="SELECT codperiodo, fecha_inicio,fecha_fin,mes,fecha_inicio fecha_inicio_periodo,fecha_fin fecha_fin_periodo,
                            CONCAT(substring(codperiodo,7,2),'/',substring(codperiodo,5,2),'/',substring(codperiodo,1,4)) periodo,
                            (case when DATE_ADD(fecha_fin, INTERVAL 2 DAY ) <= CURDATE() then 0
                                    else 1 end) lock_periodo
                            from illusionsangel.periodos 
                            where 1 order by per_id desc"; //$session->getUsuarioId()
			$this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
			$matches = Array();
			
			$item['codperiodo'] = "";
                        $item['mes'] = "Periodo";
                        $item['periodo'] = "";
                        $item['fecha_inicio_periodo'] = "";
                        $item['fecha_fin_periodo'] = "";
                        $matches[] = $item;
			while ( $item = $this->bd->fetch($result)) {
                            $item['periodo'] = $item['periodo'];
			    $matches[] = $item;
			}
			
			return $matches;
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}
}

?>
