
maxDevolucionClienteForm = function(){
	
        var storeLideres = null;
	var gridLideres = null;

return{
	
	idWin:function(){return 'maxDevolucionClienteForm-win';},
	
	moduleFields: fields_devolucion.concat(fields_cliente),
		
	initRecordDef : function(){
		return new Ext.data.Record.create(maxDevolucionClienteForm.moduleFields);
	},
	           
	initColumnModel : function(){
	               return new Ext.grid.ColumnModel([
	                   {header: 'Líder', width:30,   dataIndex:'nombre',  sortable: false}
	               ]);
	},
	formload:function(){
	},

    Init:function(){
        
    function buscar(){
    	var patron = Ext.getCmp('patronbuscar-cliente');
    	storeLideres.load({
    				params:{
    					start:0, 
    					limit:25,
    					patronbuscar : patron.getValue(),
    					accion: 'Accion/Devolucion/Lista_Lideres_Categoria_Max_Devolucion',
                                        categoria:'zona'
    				}
    	});
	}
        
        
    
    storeLideres = new Ext.data.Store({
        storeId:'store-clientes-devolucion-max',
        proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
        autoLoad:false,
        restful : true,
        baseParams: {
                  moduleId: 'conf-max-devolucion'
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, maxDevolucionClienteForm.initRecordDef()),
        listeners: {
            load: function(Store ,records, options){ }
        }
    });
    
        var tbarLideres = new Ext.Toolbar({
        	buttonAlign: 'right',
        	items:	[
                 {
          		xtype: 'textfield',
                  allowBlank : false,
                  minLength: 5,
                  maxLength: 25,
                  name: 'patronbuscar',
                  id: 'patronbuscar-cliente',
                  anchor:'90%',
                  selectOnFocus : true,            		
                  listeners:{
  		        	specialkey: function(patronBlbuscar,e){ 
  		            // e.HOME, e.END, e.PAGE_UP, e.PAGE_DOWN, 
  		              // e.TAB, e.ESC, arrow keys: e.LEFT, e.RIGHT, e.UP, e.DOWN 
  		              if (e.getKey() == e.ENTER) { 
  		                  buscar(); 
  		              }
          			}
        			},
                  handler: function(){ }
                  }, 
                  {
	                  text:'Buscar',
	                  id:'buscar-cliente-max-btn',
	                  tooltip:'Click para buscar',
	                  iconCls:'edit',
	                  icon: 'imagenes/icons/page_find.png',
	                  handler: buscar
                  }]        
        });
        
    gridLideres= new Ext.grid.GridPanel({
        id: 'grid-cliente-devolucion-max',
        autoScroll:true,
        viewConfig:{forceFit:true},
        border:true,
        height: 420,
        stripeRows: true,
        ds: storeLideres,
        cm: maxDevolucionClienteForm.initColumnModel(),
        autoExpandColumn : 'nombre',
        remoteSort:true,
        shadow: false,
        loadMask:true,
        shadowOffset: 0,
        iconCls: 'icon-grid',
        collapsible: false,
        animCollapse: false,
        sm:  new Ext.grid.RowSelectionModel({
            singleSelect:true,
            listeners: {
                rowselect: function(SelectionModel,rownumber,row){           
                    Ext.getCmp("conf-max-devolucion-lider").getForm().loadRecord(row);
                }
            }
        }),
        listeners:{
        	dblclick:function(e){
                    var rowSelected  = gridItemDevolucion.getSelectionModel().getSelected();
                    maxDevolucionClienteForm.seleccinarItemid(rowSelected);
        	}
        },
        tbar:tbarLideres
    });

    
    /***
     * 
     * campos de direccion
     */
    var cliente_id = new Ext.form.TextField({
        id: 'cliente_id',
        name:'cliente_id',
        readOnly:true,
        hidden:true
    });
    
    var nombre = new Ext.form.TextField({
        anchor:'96%',
        id: 'nombre',
        name:'nombre',
        fieldLabel:'L&iacute;der',
        readOnly:true
    });    
    
    var maximo = new Ext.form.NumberField({
        anchor:'36%',
        id: 'maximo',
        name:'maximo',
        fieldLabel:'Máximo de Devoluciones',
        minValue:2,
        maxValue:10
    });
    
    var tabForm = new Ext.FormPanel({
        url: 'clases/controladores/ControladorApp.php',
        labelAlign: 'top',
        id: 'conf-max-devolucion-lider',
        bodyStyle:'padding:5px',
        width: 600,
        items: [{
            layout:'column',
            border:false,
            items:[{
                columnWidth:.5,
                layout: 'form',
                border:false,
                items: [
                        gridLideres
		       ]
            },{
                columnWidth:.5,
                layout: 'form',
                bodyStyle: Ext.isIE ? 'padding:0 0 5px 15px;' : 'padding:10px 15px;',
                border:false,
                items: [
                        cliente_id,
                        nombre,
                        maximo                                
                       ]
            }]
        }],

        buttons: [
        {
            text: 'Guardar',
            listeners:{
	            click: function( el, e ){
                        if (tabForm.form.isValid()) {
                            tabForm.form.submit({
                                params:{
                                    accion: 'Accion/Devolucion/Save_Max'
	     	                },
	     	                waitMsg:'Guardando Cambios...',
	     	                reset: false,
                                failure: function(form_instance, action) {
                                    Ext.MessageBox.alert('Error', 'Ha ocurrido un error de Procesamiento');
	     	                },
	     	                success: function(form_instance, action) {
                                    Ext.example.msg('Mensaje', action.result.mensaje);
                                }
	     	            });
	        	
                        }
                    }
        	}
        }]
    });
    
    
    maxDevolucionClienteFormWin = new Ext.Window({
        closeAction:'hide',
        draggable: true,
        modal: true,
        id: 'maxDevolucionClienteForm-win',
        layout: 'fit',
        maximizable:false,
        minHeight: 250,
        minWidth: 500,
        plain: false,
        resizable: true,
        items: [ tabForm ],
        title: 'Devoluciones Por Periodo',
        height: 500,//490
        width: 700,
        listeners:{
            hide:function(thisComp){
            }
        },
        customLoad:function(){
                storeLideres.load({
                    params:{
                        accion: 'Accion/Devolucion/Lista_Lideres_Categoria_Max_Devolucion' ,
                        categoria:'zona'                    
                }})
        }
    });
    
    maxDevolucionClienteFormWin.show();
}
};
}();
//
Ext.onReady(maxDevolucionClienteForm.Init, maxDevolucionClienteForm, true);
//maxDevolucionClienteForm.Init();